import { html, svg } from "lit-html";
import type { BaseProps, EdgeBaseProps, SubgraphBaseProps, VertexBaseProps } from "../common/graphT.ts";
import { GraphT, RendererT } from "../common/graphT.ts";
import type { Component } from "./component.ts";
export { html, svg, EdgeBaseProps, SubgraphBaseProps, VertexBaseProps };
export declare function adapter<T extends BaseProps>(component: Component<T>): RendererT<T>;
export declare class GraphHtmlT<SG extends SubgraphBaseProps, V extends VertexBaseProps, E extends EdgeBaseProps<V>> extends GraphT<SG, V, E> {
    constructor(subgraphRenderer?: Component<SG>, vertexRenderer?: Component<V>, edgeRenderer?: Component<E>);
    enterMarkers(clearFirst?: boolean): void;
    enter(domNode: any, element: any): void;
}
export interface GraphHtmlT<SG extends SubgraphBaseProps, V extends VertexBaseProps, E extends EdgeBaseProps<V>> extends GraphT<SG, V, E> {
    sourceMarker(): "Dot" | "None";
    sourceMarker(_: "Dot" | "None"): this;
    targetMarker(): "Arrow" | "Dot" | "None";
    targetMarker(_: "Arrow" | "Dot" | "None"): this;
}
